PipeWire 1.6.5

Loading...
Searching...
No Matches
pw_port_methods Struct Reference
Core API » Port

Port methods. More...

`#include <pipewire/port.h>`

## Data Fields
uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_port_events *events, void *data)
int(* | subscribe_params )(void *object, uint32_t *ids, uint32_t n_ids)
| Subscribe to parameter changes.
int(* | enum_params )(void *object, int seq, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)
| Enumerate port parameters.

## Detailed Description

Port methods.

## Field Documentation

## ◆ version

uint32_t pw_port_methods::version

## ◆ add_listener

int(* pw_port_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_port_events *events, void *data)

## ◆ subscribe_params

int(* pw_port_methods::subscribe_params) (void *object, uint32_t *ids, uint32_t n_ids)

Subscribe to parameter changes.

Automatically emit param events for the given ids when they are changed.

Parameters

  ids | an array of param ids
  n_ids | the number of ids in ids

This requires X permissions on the port.

## ◆ enum_params

int(* pw_port_methods::enum_params) (void *object, int seq, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)

Enumerate port parameters.

Start enumeration of port parameters. For each param, a param event will be emitted.

Parameters

  seq | a sequence number returned in the reply
  id | the parameter id to enumerate
  start | the start index or 0 for the first param
  num | the maximum number of params to retrieve
  filter | a param filter or NULL

This requires X permissions on the port.

The documentation for this struct was generated from the following file:

- pipewire/port.h